<?php

namespace loyalsoft;

/**
 *  世界boss数据模型
 * @author gwang
 */
class Data_WorldBoss extends HashSaver {

    /**
     * @var int 模板id
     */
    public $mo_id;

    /**
     * @var int 第x期(时间戳) 用法: ts ==当天开始时间
     * 两个时间段 中午12点至下午1点 晚上8点到9点
     */
    public $ts_term;

    /**
     * @var 剩余血量
     */
    public $cur_blood;

    /**
     * @var 反击列表
     */
    public $strike_back_list;

    /**
     * @var 结算状态
     */
    public $settlement_state;

    /**
     * 重置世界boss
     */
    public function reset() {
        $this->cur_blood = $this->mo()->hp;
    }

    /**
     * @return \sm_hero 怪物模板数据
     */
    public function mo() {
        return GameConfig::hero_getItem($this->mo_id);
    }

}
